%define upstream_name Horde_Mime_Viewer
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.5
Release:     	%mkrel 2
Summary:    	Horde MIME Viewer Library
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
BuildRequires:	php-pear-Horde_Role
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires: 	php-pear-Horde_Browser >= 2.0.0
Requires: 	php-pear-Horde_Browser < 3.0.0alpha1
Requires: 	php-pear-Horde_Compress >= 2.0.0
Requires: 	php-pear-Horde_Compress < 3.0.0alpha1
Requires: 	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires: 	php-pear-Horde_Mime >= 2.0.0
Requires: 	php-pear-Horde_Mime < 3.0.0alpha1
Requires: 	php-pear-Horde_Text_Filter >= 2.0.0
Requires: 	php-pear-Horde_Text_Filter < 3.0.0alpha1
Requires: 	php-pear-Horde_Text_Flowed >= 2.0.0
Requires: 	php-pear-Horde_Text_Flowed < 3.0.0alpha1
Requires: 	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1
Requires:	php-pear-Horde_Translation >= 2.0.0
Requires: 	php-pear-Horde_Translation < 3.0.0alpha1
BuildArch:  	noarch

%description
Provides rendering drivers for MIME data.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{_libdir}/php/pear/horde\
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Mime_Viewer.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Mime_Viewer.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Mime_Viewer
fi

%files
%doc docs/Horde_Mime_Viewer/*
%{peardir}/*
%{_libdir}/*
%{xmldir}/Horde_Mime_Viewer.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.5-2.mga4
+ Revision: 526729
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 spuhler <spuhler> 2.0.5-1.mga4
+ Revision: 438712
- reversed removing line %%{_libdir}/* in file section
- reversed removing line BuildRequires: php-pear-Horde_Role
- upgrade to ver. 2.0.5
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 376576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 spuhler <spuhler> 1.0.8-1.mga2
+ Revision: 173368
- upgrade to 1.0.8

* Mon Nov 07 2011 spuhler <spuhler> 1.0.7-1.mga2
+ Revision: 164631
- upgrade to 1.0.7
-        -d horde_dir=%%{_libdir}/php/pear/horde/%%s\
  +        -d horde_dir=%%{_libdir}/php/pear/horde\
- +BuildRequires:	php-pear-Horde_Role
-Provides:      	php-pear-Horde_Mime_Viewer
  +Provides:      	php-pear-Horde_Mime_Viewer = %%{version}
- imported package php-pear-Horde_Mime_Viewer

